package hdl

import (
	"applet/app/utils"
	"encoding/xml"
	"fmt"
	"github.com/gin-gonic/gin"
	"io/ioutil"
	"net/http"
)

type ReqWxMessage struct {
	AppID                 string `xml:"AppId"`
	CreateTime            int64  `xml:"CreateTime"`
	InfoType              string `xml:"InfoType"`
	ComponentVerifyTicket string `xml:"ComponentVerifyTicket"`
}

func SetTicket(c *gin.Context) {
	query := c.Request.URL.Query()
	var params = map[string]string{}
	for key, value := range query {
		fmt.Printf("Key: %s, Value: %s\n", key, value[0])
		params[key] = value[0]
	}

	utils.FilePutContents("SetTicket_Get", utils.SerializeStr(params))

	var wxMsg ReqWxMessage
	// 读取请求体
	body, err := ioutil.ReadAll(c.Request.Body)
	if err != nil {
		c.JSON(http.StatusBadRequest, gin.H{"error": "failed to read request body"})
		return
	}

	utils.FilePutContents("SetTicket_Post", string(body))
	err = xml.Unmarshal(body, &wxMsg)
	if err != nil {
		fmt.Println("setTicket>>>>>>>>", err.Error())
		c.JSON(http.StatusBadRequest, gin.H{"error": err.Error()})
		return
	}

	utils.FilePutContents("SetTicket_XML", utils.SerializeStr(wxMsg))
	c.String(http.StatusOK, "success")
	return
}

func WechatMsgRecieve(c *gin.Context) {

	return
}
